Bug 691504 - timeline links still point to the old JSF UI
timeline links still point to the old JSF UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-03-28 13:44 EDT by John Mazzitelli
Modified: 2013-09-03 12:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 12:59:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-03-28 13:44:47 EDT
Go to Summary>Timeline - click on some of the links for the items you see. Notice they take you to JSF UI URLs (I saw this with the config URLs, but I'm sure all the other links still point to the JSF UI)
Comment 1 John Mazzitelli 2011-03-31 14:28:08 EDT
These links are coded up in here (notice, these are jsps inside the portal war)

rhq/modules/enterprise/gui/portal-war/src/main/webapp/resource/common/monitor/events

EventAlertJSON.jsp
EventConfigJSON.jsp
EventContentJSON.jsp
EventCreateDeleteChildJSON.jsp
EventEventsJSON.jsp
EventOperationsJSON.jsp
EventPluginConfigJSON.jsp
Comment 2 John Mazzitelli 2011-04-01 16:25:01 EDT
commit 78ac4ad and 2ba64f8 - links are now going to GWT UI where we have a GWT page
Comment 3 Sunil Kondkar 2011-06-10 07:49:59 EDT
Verified on build 123 (Version: 4.1.0-SNAPSHOT Build Number: a6d2d56)

Created some alerts, executed operations and did some configuration updates on a resource and navigated to the Summary>Timeline tab of the resource.
Verified that the links are navigating to the GWT UI.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-03 12:59:43 EDT
Bulk closing of old issues that are in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.